Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040087
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Omnichannelmajorhave not tried2019-01-31 13:432019-03-14 12:36
ReporterplujanView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision5df3bb4b6b89
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040087: [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved

DescriptionThe terminal using prepayments now shows all the tickets, paid or not, in the list to pick the "open" tickets to pay.

Problem is, this blind selection of real open tickets among the list of already paid tickets is too prone to error. And, if the user includes in the list a single paid ticket, all the flow is cancelled and has to be restarted.

See steps below.
Steps To ReproduceScenario A (working as expected):
-Create 10 tickets with one line each and use the partial payment button to pay 50% of the total amount.
-Now go to the menu option "Pay Open Tickets" and select the 10 tickets created before.
-Note that, as expected, the 10 tickets are shown in a list to be paid.

Scenario B (failing):
-On top of the 10 tickets created in the previous scenario, create a new one, this one fully paid instead of partially.
-Now go to the menu option "Pay Open Tickets" and select the 11 tickets
-A message saying that the ticket is fully paid is shown, the process is cancelled and the user has to restart the flow.
Proposed SolutionGiven it is not possible to filter the results of the search, at least let the user continue after showing what issues will not be included. But the user should be able to pay the valid tickets that has selected.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040196RR19Q1 closedjavierRodriguez [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved 
related to defect 0040088 closedjavierRodriguez [RR19Q1] [OMNI] An incorrect error message is shown after picking a paid ticket 

-  Notes
(0109828)
hgbot (developer)
2019-02-14 11:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5df3bb4b6b895bcd344a9690e90b316337332ef2
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Tue Feb 12 12:38:10 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5df3bb4b6b895bcd344a9690e90b316337332ef2 [^]

Fixed issue 40087: [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved

Now, before do anything, we check all the orders that the client check in the popup.
An array is created with all the paid tickets that it has been found.

if all the selected orders are paid, An specific popup is shown just saying that at least
one of those orders must be a not-completly-paid order.

if anyone can be paid, we follow the pay open tickets flow with all of the ticket that we
can pay

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modal-pay-open-tickets.js
---
(0110117)
jorge-garcia (developer)
2019-02-28 12:33

Code reviewed and tested
(0110436)
hgbot (developer)
2019-03-14 12:36

Repository: tools/automation/pi-mobile
Changeset: 12812a49a690d765f3665d3b25eae4e57c1fc545
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Mar 11 08:59:33 2019 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/12812a49a690d765f3665d3b25eae4e57c1fc545 [^]

Related to issue 40087: added automated test

---
M src-test/org/openbravo/test/mobile/core/utils/AllowedErrorsHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I40087_VerifyNewPayOpenTicketsFlow.java
---

- Issue History
Date Modified Username Field Change
2019-01-31 13:43 plujan New Issue
2019-01-31 13:43 plujan Assigned To => Retail
2019-01-31 13:43 plujan Triggers an Emergency Pack => No
2019-02-14 11:47 hgbot Checkin
2019-02-14 11:47 hgbot Note Added: 0109828
2019-02-14 11:47 hgbot Status new => resolved
2019-02-14 11:47 hgbot Resolution open => fixed
2019-02-14 11:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5df3bb4b6b895bcd344a9690e90b316337332ef2 [^]
2019-02-14 12:00 javierRodriguez Relationship added related to 0040088
2019-02-14 12:10 javierRodriguez Status resolved => new
2019-02-14 12:10 javierRodriguez Resolution fixed => open
2019-02-14 12:10 javierRodriguez Status new => scheduled
2019-02-14 12:10 javierRodriguez Status scheduled => resolved
2019-02-14 12:10 javierRodriguez Resolution open => fixed
2019-02-14 16:43 jorge-garcia Assigned To Retail => javierRodriguez
2019-02-28 10:10 jorge-garcia Review Assigned To => jorge-garcia
2019-02-28 12:33 jorge-garcia Note Added: 0110117
2019-02-28 12:33 jorge-garcia Status resolved => closed
2019-02-28 12:33 jorge-garcia Fixed in Version => RR19Q2
2019-03-14 12:36 hgbot Checkin
2019-03-14 12:36 hgbot Note Added: 0110436


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker